import request from '@/utils/request'

// 查询装配模板列表
export function listMark(query) {
  return request({
    url: '/track/mark/list',
    method: 'get',
    params: query
  })
}

// 查询装配模板详细
export function getMark(id) {
  return request({
    url: '/track/mark/' + id,
    method: 'get'
  })
}

// 新增装配模板
export function addMark(data) {
  return request({
    url: '/track/mark',
    method: 'post',
    data: data
  })
}

// 修改装配模板
export function updateMark(data) {
  return request({
    url: '/track/mark',
    method: 'put',
    data: data
  })
}

// 删除装配模板
export function delMark(id) {
  return request({
    url: '/track/mark/' + id,
    method: 'delete'
  })
}

// 导出装配模板
export function exportMark(query) {
  return request({
    url: '/track/mark/export',
    method: 'get',
    params: query
  })
}
